import { defineConfig } from 'tsup'

export default defineConfig({
  entry: ['src/index.ts', 'src/hooks.ts', 'src/components.ts'],
  format: ['cjs', 'esm'],
  dts: true,
  splitting: false,
  sourcemap: true,
  clean: true,
  external: ['react', 'react-dom', '@breakpilot/compliance-sdk-core', '@breakpilot/compliance-sdk-types'],
  esbuildOptions(options) {
    options.jsx = 'automatic'
  },
})
